#include "chdecl.h"
void CH_printdef(current, sched, cop)
#define ARGUMENTS 24
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb4;
    case 4: goto c5;
    case 5: goto cb8;
    case 6: goto c9;
    case 7: goto cb11;
    case 8: goto c12;
    case 9: goto cb14;
    case 10: goto c15;
    case 11: goto c18;
    case 12: goto cb34;
    case 13: goto c35;
    case 14: goto c39;
    case 15: goto cb46;
    case 16: goto c47;
    case 17: goto c48;
    case 18: goto c58;
    case 19: goto cb75;
    case 20: goto c76;
    case 21: goto cb93;
    case 22: goto c94;
    case 23: goto c95;
    case 24: goto c102;
    case 25: goto cb120;
    case 26: goto c121;
    case 27: goto c122;
    case 28: goto c124;
    case 29: goto c129;
    case 30: goto c131;
    case 31: goto c136;
    case 32: goto cb143;
    case 33: goto c144;
    case 34: goto c146;
    case 35: goto c148;
    case 36: goto cb157;
    case 37: goto c158;
    case 38: goto c159;
    case 39: goto cb230;
    case 40: goto c231;
    case 41: goto cb242;
    case 42: goto c243;
    case 43: goto cb250;
    case 44: goto c251;
    case 45: goto cb254;
    case 47: goto c256;
    case 52: goto c259;
    case 48: goto c259;
    case 49: goto cb271;
    case 50: goto c272;
    case 51: goto cb275;
    case 53: goto c277;
    case 54: goto cb280;
    case 55: goto c281;
    case 56: goto cb284;
    case 57: goto c285;
    case 64: goto c287;
    case 58: goto c287;
    case 59: goto c296;
    case 60: goto c298;
    case 61: goto cb304;
    case 62: goto c305;
    case 63: goto cb308;
    case 65: goto c310;
    case 66: goto c313;
    case 67: goto cb315;
    case 68: goto c316;
    case 69: goto cb319;
    case 46: goto c321;
    case 70: goto c321;
    case 71: goto c326;
    case 72: goto c330;
    case 73: goto c340;
    case 74: goto c344;
    case 75: goto c349;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* chs_lit 4 , "pathReadObj" */
  if( !chs_lit(DEF(4),"pathReadObj") ) goto ch_depletion;
/* chs_lit 5 , "" */
  if( !chs_lit(DEF(5),"") ) goto ch_depletion;
  current->ip = 3;
cb4:
/* call 3.2.2 4 5 6 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(5),
          arguments[3] = DEF(6),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c5:
/* unwrap 7 6 , 2 */
  if ((ch_returncode = che_unwrap(DEF(7),DEF(6),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 8 , "pathLoad" */
  if( !chs_lit(DEF(8),"pathLoad") ) goto ch_depletion;
/* chs_lit 9 , "" */
  if( !chs_lit(DEF(9),"") ) goto ch_depletion;
  current->ip = 5;
cb8:
/* call 3.2.2 8 9 10 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[3] = DEF(10),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c9:
/* unwrap 11 10 , 3 */
  if ((ch_returncode = che_unwrap(DEF(11),DEF(10),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 12 , "getformatters" */
  if( !chs_lit(DEF(12),"getformatters") ) goto ch_depletion;
  current->ip = 7;
cb11:
/* call 11 12 13 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(12),
          arguments[2] = DEF(13),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c12:
/* create 14 13 , 5 */
  if ((ch_returncode = che_create(DEF(14),DEF(13),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
  current->ip = 9;
cb14:
/* call 14 15 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(14),
          arguments[1] = DEF(15),
          arguments[1+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c15:
/* move 16 15 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16) = REF(15);
  REF(15).tsdr = & dr_bottom;
/* copy 17 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = & dr_table;
/* initget 18 17 , 0,0 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(18),DEF(17),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c18:
/* get_or_goto 18 17 , 344 */
  if ((ch_returncode = get_selected_object(DEF(18),DEF(17),sched)) != Normal)
     goto c344;
/* position 19 18 */
  ch_frame = get_selector_frame(DEF(18),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(19).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(19).tsdr = &dr_integer;
/* ilt . 19 =(2) , 18 */
  if ( REF(19).value.integer < 2 ) goto c18;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* block , 7 */
  if((ch_returncode = che_block(QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* new_table 22 , 8 */
  if ((ch_returncode = che_new_table(DEF(22),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 21 , 8 */
  if ((ch_returncode = che_new_table(DEF(21),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* chs_lit 23 , ".do" */
  if( !chs_lit(DEF(23),".do") ) goto ch_depletion;
/* concat 24 18 23 */
  if ((ch_returncode = che_concat(DEF(24),DEF(18),DEF(23),sched)) != Normal)
     goto ch_raise_exception;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* move 20 24 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20) = REF(24);
  REF(24).tsdr = & dr_bottom;
/* block , 9 */
  if((ch_returncode = che_block(QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 12;
cb34:
/* call 7 20 25 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(20),
          arguments[2] = DEF(25),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c35:
/* move 26 25 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26) = REF(25);
  REF(25).tsdr = & dr_bottom;
/* unwrap 27 26 , 11 */
  if ((ch_returncode = che_unwrap(DEF(27),DEF(26),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 48 */
   goto c48;
c39:
/* chs_lit 28 , "Definitions module '" */
  if( !chs_lit(DEF(28),"Definitions module '") ) goto ch_depletion;
/* concat 29 28 18 */
  if ((ch_returncode = che_concat(DEF(29),DEF(28),DEF(18),sched)) != Normal)
     goto ch_raise_exception;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* chs_lit 30 , "' not found." */
  if( !chs_lit(DEF(30),"' not found.") ) goto ch_depletion;
/* concat 31 29 30 */
  if ((ch_returncode = che_concat(DEF(31),DEF(29),DEF(30),sched)) != Normal)
     goto ch_raise_exception;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
  current->ip = 15;
cb46:
/* call 3.1.1 31 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(31),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c47:
/* exit , 13 */
  ch_e = handler_type__exit; ch_val = QUAL(13); goto ch_exception;
c48:
/* copy 32 27.0 */
  if((ch_returncode = (REF(27)DOT(0).tsdr->copy)(& ch_val, REF(27)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).value = ch_val;
  REF(32).tsdr = datarepmap[REF(27)DOT(0).tsdr->number];
/* insert 22 32 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(32),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 33 27.1 */
  if((ch_returncode = (REF(27)DOT(1).tsdr->copy)(& ch_val, REF(27)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val;
  REF(33).tsdr = datarepmap[REF(27)DOT(1).tsdr->number];
/* insert 21 33 */
  if ((ch_returncode = insertfunc(DEF(21),DEF(33),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 34 27.3 */
  if((ch_returncode = cp_table(& ch_val, REF(27)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).value = ch_val;
  REF(34).tsdr = & dr_table;
/* new_table 35 , 14 */
  if ((ch_returncode = che_new_table(DEF(35),QUAL(14),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 34 */
  if (REF(34).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(34))) != Normal)
       goto ch_raise_exception;
/* find 36 34 18 , 0 */
  if (findfunc(DEF(36),DEF(34),(
          arguments[0] = DEF(18),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 37 36 34 , 0 */
  if ((ch_returncode = removefunc(DEF(37),DEF(36),DEF(34),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* insert 35 37 */
  if ((ch_returncode = insertfunc(DEF(35),DEF(37),FALSE,0)) != Normal)
     goto ch_raise_exception;
c58:
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* discard 39 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* size 40 34 */
  REF(40).value.integer = REF(34).value.table->size;
  REF(40).tsdr = & dr_integer;
/* equal . 40 =(0) , 146 */
  if ( REF(40).value.integer == 0 ) goto c146;
/* block , 15 */
  if((ch_returncode = che_block(QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 34 */
  if (REF(34).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(34))) != Normal)
       goto ch_raise_exception;
/* initget 41 34 , 0,0 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(41),DEF(34),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 41 34 */
  if ((ch_returncode = get_selected_object(DEF(41),DEF(34),sched)) != Normal)
     goto ch_raise_exception;
/* remove 37 41 34 */
  if ((ch_returncode = che_remove(DEF(37),DEF(41),DEF(34),sched)) != Normal)
     goto ch_raise_exception;
/* endget 41 34 */
  end_selector(DEF(41),DEF(34),sched,GET);
/* chs_lit 42 , ".do" */
  if( !chs_lit(DEF(42),".do") ) goto ch_depletion;
/* concat 43 37.0 42 */
  if ((ch_returncode = che_concat(DEF(43),DEF(37)DOT(0),DEF(42)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* move 38 43 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38) = REF(43);
  REF(43).tsdr = & dr_bottom;
  current->ip = 19;
cb75:
/* call 7 38 44 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(38),
          arguments[2] = DEF(44),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c76:
/* move 26 44 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26) = REF(44);
  REF(44).tsdr = & dr_bottom;
/* unwrap 39 26 , 11 */
  if ((ch_returncode = che_unwrap(DEF(39),DEF(26),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* equal . 39.0.0 37.1 , 95 */
  if ( (REF(39)DOT(0)DOT(0).tsdr->equal)(REF(39)DOT(0)DOT(0).value,
    REF(37)DOT(1).value) ) goto c95;
/* chs_lit 45 , "Definitions module '" */
  if( !chs_lit(DEF(45),"Definitions module '") ) goto ch_depletion;
/* concat 46 45 37.0 */
  if ((ch_returncode = che_concat(DEF(46),DEF(45),DEF(37)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* chs_lit 47 , "' is inconsistent with '" */
  if( !chs_lit(DEF(47),"' is inconsistent with '") ) goto ch_depletion;
/* concat 48 46 47 */
  if ((ch_returncode = che_concat(DEF(48),DEF(46),DEF(47),sched)) != Normal)
     goto ch_raise_exception;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* discard 47 */
  (*(REF(47).tsdr)->finalize)(REF(47).value,F_DISCARD,sched);
  REF(47).tsdr = & dr_bottom;
/* concat 49 48 18 */
  if ((ch_returncode = che_concat(DEF(49),DEF(48),DEF(18),sched)) != Normal)
     goto ch_raise_exception;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* chs_lit 50 , "'." */
  if( !chs_lit(DEF(50),"'.") ) goto ch_depletion;
/* concat 51 49 50 */
  if ((ch_returncode = che_concat(DEF(51),DEF(49),DEF(50),sched)) != Normal)
     goto ch_raise_exception;
/* discard 49 */
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
  current->ip = 21;
cb93:
/* call 3.1.1 51 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(51),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c94:
/* exit , 13 */
  ch_e = handler_type__exit; ch_val = QUAL(13); goto ch_exception;
c95:
/* insert 22 39.0 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(39)DOT(0),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 21 39.1 */
  if ((ch_returncode = insertfunc(DEF(21),DEF(39)DOT(1),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* discard 39.1 */
  (*(REF(39)DOT(1).tsdr)->finalize)(REF(39)DOT(1).value,F_DISCARD,sched);
  REF(39)DOT(1).tsdr = & dr_bottom;
/* copy 52 37 */
  if((ch_returncode = (REF(37).tsdr->copy)(& ch_val, REF(37).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val;
  REF(52).tsdr = datarepmap[REF(37).tsdr->number];
/* insert 35 52 */
  if ((ch_returncode = insertfunc(DEF(35),DEF(52),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 53 39.3 */
  if((ch_returncode = cp_table(& ch_val, REF(39)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).value = ch_val;
  REF(53).tsdr = & dr_table;
/* initget 54 53 , 0,0 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(54),DEF(53),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c102:
/* get_or_goto 54 53 , 131 */
  if ((ch_returncode = get_selected_object(DEF(54),DEF(53),sched)) != Normal)
     goto c131;
/* block , 16 */
  if((ch_returncode = che_block(QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* find 55 35 54.0 , 0 */
  if (findfunc(DEF(55),DEF(35),(
          arguments[0] = DEF(54)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* equal . 55.1 54.1 , 122 */
  if ( (REF(55)DOT(1).tsdr->equal)(REF(55)DOT(1).value,REF(54)DOT(1).value) )
     goto c122;
/* chs_lit 56 , "Definitions module '" */
  if( !chs_lit(DEF(56),"Definitions module '") ) goto ch_depletion;
/* concat 57 56 55.0 */
  if ((ch_returncode = che_concat(DEF(57),DEF(56),DEF(55)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* chs_lit 58 , "' is inconsistent with '" */
  if( !chs_lit(DEF(58),"' is inconsistent with '") ) goto ch_depletion;
/* concat 59 57 58 */
  if ((ch_returncode = che_concat(DEF(59),DEF(57),DEF(58),sched)) != Normal)
     goto ch_raise_exception;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* concat 60 59 37.0 */
  if ((ch_returncode = che_concat(DEF(60),DEF(59),DEF(37)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* chs_lit 61 , "'." */
  if( !chs_lit(DEF(61),"'.") ) goto ch_depletion;
/* concat 62 60 61 */
  if ((ch_returncode = che_concat(DEF(62),DEF(60),DEF(61),sched)) != Normal)
     goto ch_raise_exception;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
  current->ip = 25;
cb120:
/* call 3.1.0 62 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(62),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c121:
/* exit , 13 */
  ch_e = handler_type__exit; ch_val = QUAL(13); goto ch_exception;
c122:
/* endblock */
  che_endblock(sched);
/* branch , 102 */
   goto c102;
c124:
/* block , 17 */
  if((ch_returncode = che_block(QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
/* copy 63 54 */
  if((ch_returncode = (REF(54).tsdr->copy)(& ch_val, REF(54).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).value = ch_val;
  REF(63).tsdr = datarepmap[REF(54).tsdr->number];
/* insert 34 63 */
  if ((ch_returncode = insertfunc(DEF(34),DEF(63),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c129:
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* branch , 102 */
   goto c102;
c131:
/* endget 54 53 */
  end_selector(DEF(54),DEF(53),sched,GET);
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* discard 39.3 */
  (*(REF(39)DOT(3).tsdr)->finalize)(REF(39)DOT(3).value,F_DISCARD,sched);
  REF(39)DOT(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 58 */
   goto c58;
c136:
/* chs_lit 64 , "Definitions module '" */
  if( !chs_lit(DEF(64),"Definitions module '") ) goto ch_depletion;
/* concat 65 64 37.0 */
  if ((ch_returncode = che_concat(DEF(65),DEF(64),DEF(37)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* chs_lit 66 , "' not found." */
  if( !chs_lit(DEF(66),"' not found.") ) goto ch_depletion;
/* concat 67 65 66 */
  if ((ch_returncode = che_concat(DEF(67),DEF(65),DEF(66),sched)) != Normal)
     goto ch_raise_exception;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 66 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).tsdr = & dr_bottom;
  current->ip = 32;
cb143:
/* call 3.1.0 67 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(0),
          arguments[1] = DEF(67),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c144:
/* exit , 13 */
  ch_e = handler_type__exit; ch_val = QUAL(13); goto ch_exception;
c146:
/* copy 68 27.0.1 */
  if((ch_returncode = cp_table(& ch_val, REF(27)DOT(0)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).value = ch_val;
  REF(68).tsdr = & dr_table;
/* initget 69 68 , 0,0 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(69),DEF(68),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c148:
/* get_or_goto 69 68 , 326 */
  if ((ch_returncode = get_selected_object(DEF(69),DEF(68),sched)) != Normal)
     goto c326;
/* discard 70 */
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).tsdr = & dr_bottom;
/* discard 71 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  REF(71).tsdr = & dr_bottom;
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* new_record 70 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).value = ch_val; REF(70).tsdr = & dr_record;
/* copy 70.0 27.0.0 */
  if((ch_returncode = (REF(27)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(27)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(70)DOT(0).tsdr)->finalize)(REF(70)DOT(0).value,F_DISCARD,sched);
  REF(70)DOT(0).value = ch_val;
  REF(70)DOT(0).tsdr = datarepmap[REF(27)DOT(0)DOT(0).tsdr->number];
/* copy 70.1 69.0 */
  if((ch_returncode = (REF(69)DOT(0).tsdr->copy)(& ch_val, REF(69)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(70)DOT(1).tsdr)->finalize)(REF(70)DOT(1).value,F_DISCARD,sched);
  REF(70)DOT(1).value = ch_val;
  REF(70)DOT(1).tsdr = datarepmap[REF(69)DOT(0).tsdr->number];
/* chs_lit 71 , "" */
  if( !chs_lit(DEF(71),"") ) goto ch_depletion;
  current->ip = 36;
cb157:
/* call 3.1.1 71 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(71),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c158:
/* call 16.3 16 22 21 70 74 , 18 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16)DOT(3),
          arguments[1] = DEF(16),
          arguments[2] = DEF(22),
          arguments[3] = DEF(21),
          arguments[4] = DEF(70),
          arguments[5] = DEF(74),
          arguments[5+1] = nil,& arguments[0]),QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
  return;
c159:
/* chs_lit 75 , ": " */
  if( !chs_lit(DEF(75),": ") ) goto ch_depletion;
/* concat 76 74 75 */
  if ((ch_returncode = che_concat(DEF(76),DEF(74),DEF(75),sched)) != Normal)
     goto ch_raise_exception;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* ord_case 77 69.2 */
  REF(77).value.ord_enum = REF(69)DOT(2).value.variant->info.variant_case;
  REF(77).tsdr = & dr_ord_enumeration;
/* equal . 77 =(11) , 190 */
  if ( REF(77).value.ord_enum == 11 ) goto c190;
/* equal . 77 =(10) , 193 */
  if ( REF(77).value.ord_enum == 10 ) goto c193;
/* equal . 77 =(9) , 196 */
  if ( REF(77).value.ord_enum == 9 ) goto c196;
/* equal . 77 =(8) , 199 */
  if ( REF(77).value.ord_enum == 8 ) goto c199;
/* equal . 77 =(7) , 202 */
  if ( REF(77).value.ord_enum == 7 ) goto c202;
/* equal . 77 =(6) , 205 */
  if ( REF(77).value.ord_enum == 6 ) goto c205;
/* equal . 77 =(5) , 208 */
  if ( REF(77).value.ord_enum == 5 ) goto c208;
/* equal . 77 =(4) , 211 */
  if ( REF(77).value.ord_enum == 4 ) goto c211;
/* equal . 77 =(3) , 214 */
  if ( REF(77).value.ord_enum == 3 ) goto c214;
/* equal . 77 =(2) , 217 */
  if ( REF(77).value.ord_enum == 2 ) goto c217;
/* equal . 77 =(1) , 220 */
  if ( REF(77).value.ord_enum == 1 ) goto c220;
/* equal . 77 =(0) , 223 */
  if ( REF(77).value.ord_enum == 0 ) goto c223;
/* branch , 226 */
   goto c226;
c190:
/* chs_lit 72 , "polymorph" */
  if( !chs_lit(DEF(72),"polymorph") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c193:
/* chs_lit 72 , "callmessage" */
  if( !chs_lit(DEF(72),"callmessage") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c196:
/* chs_lit 72 , "outport" */
  if( !chs_lit(DEF(72),"outport") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c199:
/* chs_lit 72 , "inport" */
  if( !chs_lit(DEF(72),"inport") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c202:
/* chs_lit 72 , "table" */
  if( !chs_lit(DEF(72),"table") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c205:
/* chs_lit 72 , "variant" */
  if( !chs_lit(DEF(72),"variant") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c208:
/* chs_lit 72 , "record" */
  if( !chs_lit(DEF(72),"record") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c211:
/* chs_lit 72 , "real" */
  if( !chs_lit(DEF(72),"real") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c214:
/* chs_lit 72 , "enumeration" */
  if( !chs_lit(DEF(72),"enumeration") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c217:
/* chs_lit 72 , "boolean" */
  if( !chs_lit(DEF(72),"boolean") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c220:
/* chs_lit 72 , "integer" */
  if( !chs_lit(DEF(72),"integer") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c223:
/* chs_lit 72 , "nominal" */
  if( !chs_lit(DEF(72),"nominal") ) goto ch_depletion;
/* branch , 228 */
   goto c228;
c226:
/* chs_lit 72 , "should not occur" */
  if( !chs_lit(DEF(72),"should not occur") ) goto ch_depletion;
c228:
/* concat 73 76 72 */
  if ((ch_returncode = che_concat(DEF(73),DEF(76),DEF(72),sched)) != Normal)
     goto ch_raise_exception;
/* discard 76 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).tsdr = & dr_bottom;
  current->ip = 39;
cb230:
/* call 3.1.1 73 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(73),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c231:
/* ord_case 78 69.2 */
  REF(78).value.ord_enum = REF(69)DOT(2).value.variant->info.variant_case;
  REF(78).tsdr = & dr_ord_enumeration;
/* equal . 78 =(7) , 240 */
  if ( REF(78).value.ord_enum == 7 ) goto c240;
/* equal . 78 =(10) , 256 */
  if ( REF(78).value.ord_enum == 10 ) goto c256;
/* equal . 78 =(8) , 313 */
  if ( REF(78).value.ord_enum == 8 ) goto c313;
/* branch , 321 */
   goto c321;
c240:
/* reveal 69.2 , 7 */
  if (7 != REF(69)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* chs_lit 79 , "  OF " */
  if( !chs_lit(DEF(79),"  OF ") ) goto ch_depletion;
  current->ip = 41;
cb242:
/* call 16.3 16 22 21 69.2.0.2 80 , 18 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16)DOT(3),
          arguments[1] = DEF(16),
          arguments[2] = DEF(22),
          arguments[3] = DEF(21),
          arguments[4] = DEF(69)DOT(2)DOT(0)DOT(2),
          arguments[5] = DEF(80),
          arguments[5+1] = nil,& arguments[0]),QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
  return;
c243:
/* concat 81 79 80 */
  if ((ch_returncode = che_concat(DEF(81),DEF(79),DEF(80),sched)) != Normal)
     goto ch_raise_exception;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 80 */
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).tsdr = & dr_bottom;
/* chs_lit 82 , " " */
  if( !chs_lit(DEF(82)," ") ) goto ch_depletion;
/* concat 83 81 82 */
  if ((ch_returncode = che_concat(DEF(83),DEF(81),DEF(82),sched)) != Normal)
     goto ch_raise_exception;
/* discard 81 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).tsdr = & dr_bottom;
/* discard 82 */
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).tsdr = & dr_bottom;
  current->ip = 43;
cb250:
/* call 16.6 16 22 21 69.2.0.3 69.2.0.2 84 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16)DOT(6),
          arguments[1] = DEF(16),
          arguments[2] = DEF(22),
          arguments[3] = DEF(21),
          arguments[4] = DEF(69)DOT(2)DOT(0)DOT(3),
          arguments[5] = DEF(69)DOT(2)DOT(0)DOT(2),
          arguments[6] = DEF(84),
          arguments[6+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c251:
/* concat 85 83 84 */
  if ((ch_returncode = che_concat(DEF(85),DEF(83),DEF(84),sched)) != Normal)
     goto ch_raise_exception;
/* discard 83 */
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83).tsdr = & dr_bottom;
/* discard 84 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).tsdr = & dr_bottom;
  current->ip = 45;
cb254:
/* call 3.1.1 85 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(85),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c256:
/* reveal 69.2 , 10 */
  if (10 != REF(69)DOT(2).value.variant->info.variant_case)
     goto ch_case_error;
/* copy 86 69.1 */
  if((ch_returncode = cp_table(& ch_val, REF(69)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_table;
/* initget 87 86 , 0,0 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(87),DEF(86),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c276:
c259:
/* get_or_goto 87 86 , 277 */
  if ((ch_returncode = get_selected_object(DEF(87),DEF(86),sched)) != Normal)
     goto c277;
/* discard 88 */
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).tsdr = & dr_bottom;
/* discard 89 */
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).tsdr = & dr_bottom;
/* chs_lit 90 , "  " */
  if( !chs_lit(DEF(90),"  ") ) goto ch_depletion;
/* find 91 27.1.4 70.1 87.0 , 0 */
  if (findfunc(DEF(91),DEF(27)DOT(1)DOT(4),(
          arguments[0] = DEF(70)DOT(1),
          arguments[1] = DEF(87)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 88 91.2 */
  if((ch_returncode = cp_table(& ch_val, REF(91)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).value = ch_val;
  REF(88).tsdr = & dr_table;
/* concat 92 90 88 */
  if ((ch_returncode = che_concat(DEF(92),DEF(90),DEF(88),sched)) != Normal)
     goto ch_raise_exception;
/* discard 90 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).tsdr = & dr_bottom;
/* chs_lit 93 , ":" */
  if( !chs_lit(DEF(93),":") ) goto ch_depletion;
/* concat 94 92 93 */
  if ((ch_returncode = che_concat(DEF(94),DEF(92),DEF(93),sched)) != Normal)
     goto ch_raise_exception;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
  current->ip = 49;
cb271:
/* call 16.3 16 22 21 87.1 95 , 18 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16)DOT(3),
          arguments[1] = DEF(16),
          arguments[2] = DEF(22),
          arguments[3] = DEF(21),
          arguments[4] = DEF(87)DOT(1),
          arguments[5] = DEF(95),
          arguments[5+1] = nil,& arguments[0]),QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
  return;
c272:
/* concat 89 94 95 */
  if ((ch_returncode = che_concat(DEF(89),DEF(94),DEF(95),sched)) != Normal)
     goto ch_raise_exception;
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
/* discard 95 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).tsdr = & dr_bottom;
  current->ip = 51;
cb275:
/* call 3.1.1 89 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(89),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c277:
/* endget 87 86 */
  end_selector(DEF(87),DEF(86),sched,GET);
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
/* chs_lit 96 , "  EXIT " */
  if( !chs_lit(DEF(96),"  EXIT ") ) goto ch_depletion;
  current->ip = 54;
cb280:
/* call 16.6 16 22 21 69.2.0.1 70 97 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16)DOT(6),
          arguments[1] = DEF(16),
          arguments[2] = DEF(22),
          arguments[3] = DEF(21),
          arguments[4] = DEF(69)DOT(2)DOT(0)DOT(1),
          arguments[5] = DEF(70),
          arguments[6] = DEF(97),
          arguments[6+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c281:
/* concat 98 96 97 */
  if ((ch_returncode = che_concat(DEF(98),DEF(96),DEF(97),sched)) != Normal)
     goto ch_raise_exception;
/* discard 96 */
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).tsdr = & dr_bottom;
/* discard 97 */
  (*(REF(97).tsdr)->finalize)(REF(97).value,F_DISCARD,sched);
  REF(97).tsdr = & dr_bottom;
  current->ip = 56;
cb284:
/* call 3.1.1 98 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(98),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c285:
/* copy 99 69.2.0.3 */
  if((ch_returncode = cp_table(& ch_val, REF(69)DOT(2)DOT(0)DOT(3).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).value = ch_val;
  REF(99).tsdr = & dr_table;
/* initget 100 99 , 0,0 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(100),DEF(99),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c309:
c287:
/* get_or_goto 100 99 , 310 */
  if ((ch_returncode = get_selected_object(DEF(100),DEF(99),sched)) != Normal)
     goto c310;
/* discard 101 */
  (*(REF(101).tsdr)->finalize)(REF(101).value,F_DISCARD,sched);
  REF(101).tsdr = & dr_bottom;
/* discard 102 */
  (*(REF(102).tsdr)->finalize)(REF(102).value,F_DISCARD,sched);
  REF(102).tsdr = & dr_bottom;
/* chs_lit 103 , "  " */
  if( !chs_lit(DEF(103),"  ") ) goto ch_depletion;
/* block , 20 */
  if((ch_returncode = che_block(QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
/* find 104 27.1.5 70.1 100.0 , 0 */
  if (findfunc(DEF(104),DEF(27)DOT(1)DOT(5),(
          arguments[0] = DEF(70)DOT(1),
          arguments[1] = DEF(100)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 101 104.2 */
  if((ch_returncode = cp_table(& ch_val, REF(104)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(101).tsdr)->finalize)(REF(101).value,F_DISCARD,sched);
  REF(101).value = ch_val;
  REF(101).tsdr = & dr_table;
/* endblock */
  che_endblock(sched);
/* branch , 298 */
   goto c298;
c296:
/* chs_lit 101 , "*unnamed*" */
  if( !chs_lit(DEF(101),"*unnamed*") ) goto ch_depletion;
c298:
/* concat 105 103 101 */
  if ((ch_returncode = che_concat(DEF(105),DEF(103),DEF(101)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 103 */
  (*(REF(103).tsdr)->finalize)(REF(103).value,F_DISCARD,sched);
  REF(103).tsdr = & dr_bottom;
/* chs_lit 106 , " " */
  if( !chs_lit(DEF(106)," ") ) goto ch_depletion;
/* concat 107 105 106 */
  if ((ch_returncode = che_concat(DEF(107),DEF(105),DEF(106)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 105 */
  (*(REF(105).tsdr)->finalize)(REF(105).value,F_DISCARD,sched);
  REF(105).tsdr = & dr_bottom;
/* discard 106 */
  (*(REF(106).tsdr)->finalize)(REF(106).value,F_DISCARD,sched);
  REF(106).tsdr = & dr_bottom;
  current->ip = 61;
cb304:
/* call 16.6 16 22 21 100.1 70 108 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16)DOT(6),
          arguments[1] = DEF(16),
          arguments[2] = DEF(22),
          arguments[3] = DEF(21),
          arguments[4] = DEF(100)DOT(1),
          arguments[5] = DEF(70),
          arguments[6] = DEF(108),
          arguments[6+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c305:
/* concat 102 107 108 */
  if ((ch_returncode = che_concat(DEF(102),DEF(107),DEF(108)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 107 */
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  REF(107).tsdr = & dr_bottom;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
  current->ip = 63;
cb308:
/* call 3.1.1 102 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(102),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c310:
/* endget 100 99 */
  end_selector(DEF(100),DEF(99),sched,GET);
/* discard 99 */
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).tsdr = & dr_bottom;
/* branch , 321 */
   goto c321;
c313:
/* reveal 69.2 , 8 */
  if (8 != REF(69)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* chs_lit 109 , "  " */
  if( !chs_lit(DEF(109),"  ") ) goto ch_depletion;
  current->ip = 67;
cb315:
/* call 16.6 16 22 21 69.2.0.1 69.2.0.0 110 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(16)DOT(6),
          arguments[1] = DEF(16),
          arguments[2] = DEF(22),
          arguments[3] = DEF(21),
          arguments[4] = DEF(69)DOT(2)DOT(0)DOT(1),
          arguments[5] = DEF(69)DOT(2)DOT(0)DOT(0),
          arguments[6] = DEF(110),
          arguments[6+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c316:
/* concat 111 109 110 */
  if ((ch_returncode = che_concat(DEF(111),DEF(109),DEF(110)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 109 */
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  REF(109).tsdr = & dr_bottom;
/* discard 110 */
  (*(REF(110).tsdr)->finalize)(REF(110).value,F_DISCARD,sched);
  REF(110).tsdr = & dr_bottom;
  current->ip = 69;
cb319:
/* call 3.1.1 111 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(1),
          arguments[1] = DEF(111),
          arguments[1+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c255:
c321:
/* discard 111 */
  (*(REF(111).tsdr)->finalize)(REF(111).value,F_DISCARD,sched);
  REF(111).tsdr = & dr_bottom;
/* discard 98 */
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  REF(98).tsdr = & dr_bottom;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* branch , 148 */
   goto c148;
c326:
/* endget 69 68 */
  end_selector(DEF(69),DEF(68),sched,GET);
/* discard 68 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 340 */
   goto c340;
c330:
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* discard 39 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
c340:
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* branch , 18 */
   goto c18;
c344:
/* endget 18 17 */
  end_selector(DEF(18),DEF(17),sched,GET);
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c349:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
